ranges::v3::concepts::Relation Struct Reference

## Public Member Functions

| concepts::model_of ()))
| concepts::model_of ()
| concepts::model_of ()
| concepts::model_of ()
| concepts::model_of ()
| concepts::model_of ()))
| concepts::model_of ()
template<typename Fun , typename T >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Predicate, Fun, T, T >()))
template<typename Fun , typename T , typename U >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_true(std::is_same< T, U >
template<typename Fun , typename T , typename U , typename C = common_reference_t<detail::as_cref_t<T>, detail::as_cref_t<U>>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_false(std::is_same< T, U >